#include "projectile.hpp"
#include "projectile_pool.hpp"
#include <godot_cpp/classes/node3d.hpp>

namespace godot {
void IProjectile::return_to_pool() {
    if(!this->pool)
        return;
    Node3D *node = dynamic_cast<Node3D*>(this);
    if(node)
        this->pool->return_projectile(node);
}
void IProjectile::set_projectile_pool(ProjectilePool *pool) {
    this->pool = pool;
}
}
